kr.co.hanwha.hifive.screen.main.setting

## Class MainSettingWebviewActivity.HFJavaScript

- java.lang.Object
- - kr.co.hanwha.hifive.screen.main.setting.MainSettingWebviewActivity.HFJavaScript

- Enclosing class:
    MainSettingWebviewActivity

      public class MainSettingWebviewActivity.HFJavaScript
      extends java.lang.Object

  WebViewClient

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFJavaScript()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeWebview()`
    `void` | `openCustomPopup(java.lang.String message)`
    `void` | `openCustomPopup(java.lang.String title, java.lang.String message)`
    `void` | `showToast(java.lang.String type, java.lang.String content)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HFJavaScript

          public HFJavaScript()

  - ### Method Detail

    - #### openCustomPopup

          public void openCustomPopup(java.lang.String title,
                                      java.lang.String message)

    - #### openCustomPopup

          public void openCustomPopup(java.lang.String message)

    - #### closeWebview

          public void closeWebview()

    - #### showToast

          public void showToast(java.lang.String type,
                                java.lang.String content)